/*
 * CampoLlenoOtroVacioViceversaDependiente.java
 *
 * Created on 23 de marzo de 2007, 08:27 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author jsolano
 */

/**
 * 
 * @author Julian
 */
public class CampoLlenoOtroVacioViceversaDependiente extends AbstractRule {

	/** Creates a new instance of CampoVacio */
	public CampoLlenoOtroVacioViceversaDependiente() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];

		if (codigoNovedad.equals((String) getParams()[1])) {
			if (field.length() == 0
					&& registro[new Integer((String) getParams()[2]).intValue()]
							.length() > 0) {
				return true;

			}
			if (field.length() > 0
					&& registro[new Integer((String) getParams()[2]).intValue()]
							.length() == 0) {
				return true;

			}

		}
		return false;

	}
}
